/* v1.00 : Program to recreate the Taskbar program  */
/*         workplace shell objects.                 */
SIGNAL ON FAILURE
SIGNAL ON ERROR

CALL RxFuncAdd "SysLoadFuncs","REXXUTIL","SysLoadFuncs"
CALL SysLoadFuncs

currentDir = DIRECTORY()

SAY "Creating/updating Taskbar program object."
objectSetup = "OBJECTID=<Taskbar_RFY>;EXENAME="||currentDir||"\Taskbar.EXE;STARTUPDIR="||currentDir
IF 0=SysCreateObject( "WPProgram","Taskbar","<WP_DESKTOP>",objectSetup,"update" ) THEN
    DO
        SAY "Unable to create program object."
        EXIT
    END

SAY "Creating/updating shadow in startup folder."
objectSetup = "OBJECTID=<Taskbar_RFY_Shadow>;SHADOWID=<Taskbar_RFY>"
IF 0=SysCreateObject( "WPShadow","Taskbar","<WP_START>",objectSetup,"update" ) THEN
    DO
        SAY "Unable to create shadow object."
        EXIT
    END

SAY "Taskbar program objects created."
EXIT
/*****************************************************************************/

/*****************************************************************************/
 * Standard REXX program error handler
 *****************************************************************************/
ERROR:
    SAY "Error" rc "in system call."
    SAY "Line number =" sigl
    SAY "Instruction = "||SOURCELINE(sigl)
    EXIT

FAILURE:
    SAY "System failure detected (error code ="rc")"
    SAY "Line number =" sigl
    SAY "Instruction = "||SOURCELINE(sigl)
    EXIT
/*****************************************************************************/
